Summary:	Provides basic parts of the OpenPGP message format
Name:		opencdk
Version:	0.4.5
Release:	0.fdr.1.rh90
Epoch:		0
License:	GPL
Group:		System Environment/Libraries
URL:		http://www.gnu.org/software/gnutls/download.html
Source0:	ftp://ftp.gnutls.org/pub/gnutls/opencdk/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libgcrypt-devel zlib-devel perl

%package devel
Summary:	Files which are needed to develop applications using opencdk
Group:		Development/Libraries
Requires:	%{name} = 0:%{version}-%{release}
Requires:	libgcrypt-devel zlib-devel


%description
This library provides basic parts of the OpenPGP message format.  For
reference, please read RFC2440. Due to some possible security problems,
the library also implements parts of draft-ietf-openpgp-rfc2440bis-06.txt.
                                                                                                      
The aim of the library is *not* to replace any available OpenPGP version.
There will be no real support for key management (sign, revoke, alter
preferences, ...) and some other parts are only rudimentary available. The
main purpose is to handle and understand OpenPGP packets and to use basic
operations. For example to encrypt/decrypt or to sign/verify and packet
routines.


%description devel
This library provides basic parts of the OpenPGP message format.  For
reference, please read RFC2440. Due to some possible security problems,
the library also implements parts of draft-ietf-openpgp-rfc2440bis-06.txt.

This package contains headerfiles and libraries which are needed to
develop applications based on opencdk.

#----------------------------------------

%prep
%setup -q

#----------------------------------------

%build
%configure
%{__make} %{?_smp_mflags}

perl -pi -e 's!^(\S.*[\s"])-L/usr/lib([\s"])!\1\2!g;
             s!^(\S.*[\s"])-I/usr/include([\s"])!\1\2!g' src/opencdk-config

#----------------------------------------

%check
%{__make} check

#----------------------------------------

%install
rm -rf "$RPM_BUILD_ROOT"
%{__make} DESTDIR="$RPM_BUILD_ROOT" install

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

#----------------------------------------

%clean
rm -rf "$RPM_BUILD_ROOT"

#----------------------------------------

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README* THANKS TODO
%{_libdir}/*.so.*


%files devel
%defattr(-,root,root,-)
%doc doc/DETAILS doc/*.html
%{_bindir}/*-config
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so


%changelog
* Tue Jun 10 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0.4.5-0.fdr.1
- Initial build.
